package emps.v2_obiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class ObslugaCSV {
	
	public static List<Employee> wczytaj(String sciezka) {
		List<Employee> emps = new ArrayList<>();
		try(Scanner scanner = new Scanner(new File(sciezka))) {
			scanner.nextLine(); // pomijamy pierwszą linię
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				String[] t = linia.split(";", -1);
				Employee emp = new Employee(Integer.parseInt(t[0]), t[1], t[2], t[3],
						Integer.parseInt(t[4]), LocalDate.parse(t[5]),
						t[6], t[7], t[8], t[9], t[10]);
				emps.add(emp);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			// w razie błędu (brak pliku) wypiszemy czerwone teksty na ekran, ale nie przerwiemy programu, tylko zwrócimy pustą listę
		}
		return emps;
	}

}
